{ lib
, buildGoModule
, fetchFromGitHub
}:

buildGoModule rec {
  pname = "obs-cli";
  version = "0.5.0";

  src = fetchFromGitHub {
    owner = "muesli";
    repo = "obs-cli";
    rev = "v${version}";
    hash = "sha256-4tjS+PWyP/T0zs4IGE6VQ5c+3tuqxlBwfpPBVEcim6c=";
  };

  vendorHash = "sha256-RGpkqX97zalZv4aDfihJBKO1l2O8tcxn0I1SPL1WIg8=";

  ldflags = [ "-s" "-w" ];

  meta = with lib; {
    description = "OBS-cli is a command-line remote control for OBS";
    homepage = "https://github.com/muesli/obs-cli";
    license = licenses.mit;
    maintainers = with maintainers; [ ];
  };
}
